For the complete documentation index, see llms.txt. This page is also available as Markdown.

RoomTypes

Lists all the room types for a specific publisher and hotel.

API: SMX · Operation: Availability and Rates · Direction: SM → App · Method: Pull

get

Lists all the room types for this hotel

Authorizations
AuthorizationstringRequired

This API uses JWT for Authentication/Authorisation (please see jwt.io for further details).

The token can be obtained via the SMX Subscriber Admin portal.

The request header must be in the following format (where 'token' is the encoded JWT string):

Authorization: Bearer token

The decoded JWT must include the following claims for it to be accepted by the API:

  • iat - Token issued time
  • jti - ID of the token
  • aud - Audience of the token. This API expects the value to be 'subscriberx/api'.
  • sub - Subject of the token. This API expects the value to be the code of the subscriber.

Example of JWT claims in a decoded token for the subscriber with code 'subscriberCode':

{
  'iat': 1576812219,
  'jti': 'e07f7327-490c-4dd7-8d63-c1bdd1f93001',
  'aud': 'subscriberx/api',
  'sub': 'subscriberCode'
}
Path parameters
publisherCodestring · min: 1 · max: 50Required

Publisher code

hotelCodestring · min: 1 · max: 255Required

Hotel code

Responses
200

OK

application/json
get/publishers/{publisherCode}/hotels/{hotelCode}/roomTypes
GET /publishers/{publisherCode}/hotels/{hotelCode}/roomTypes HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "code": "text",
    "names": [
      {
        "lang": "text",
        "name": "text"
      }
    ],
    "descriptions": [
      {
        "lang": "text",
        "description": "text"
      }
    ],
    "lastModifiedAt": "2026-01-01T00:00:00.000Z"
  }
]

get

Get a specific room type for a hotel and publisher

Authorizations
AuthorizationstringRequired

This API uses JWT for Authentication/Authorisation (please see jwt.io for further details).

The token can be obtained via the SMX Subscriber Admin portal.

The request header must be in the following format (where 'token' is the encoded JWT string):

Authorization: Bearer token

The decoded JWT must include the following claims for it to be accepted by the API:

  • iat - Token issued time
  • jti - ID of the token
  • aud - Audience of the token. This API expects the value to be 'subscriberx/api'.
  • sub - Subject of the token. This API expects the value to be the code of the subscriber.

Example of JWT claims in a decoded token for the subscriber with code 'subscriberCode':

{
  'iat': 1576812219,
  'jti': 'e07f7327-490c-4dd7-8d63-c1bdd1f93001',
  'aud': 'subscriberx/api',
  'sub': 'subscriberCode'
}
Path parameters
publisherCodestring · min: 1 · max: 50Required

Publisher code

hotelCodestring · min: 1 · max: 255Required

Hotel code

roomTypeCodestring · min: 1 · max: 255Required

Room type code

Responses
200

OK

application/json
get/publishers/{publisherCode}/hotels/{hotelCode}/roomTypes/{roomTypeCode}
GET /publishers/{publisherCode}/hotels/{hotelCode}/roomTypes/{roomTypeCode} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "code": "text",
  "names": [
    {
      "lang": "text",
      "name": "text"
    }
  ],
  "descriptions": [
    {
      "lang": "text",
      "description": "text"
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

sparkles

Still have questions?

Last updated

Was this helpful?